Name: miniChinput
Version: 0.0.3
Release: 64

Summary: A Chinese XIM server.
License: GPL
Group: User Interface/X
Source: %{name}-0.0.3-2.tar.bz2
Source2: xinput.d-%{name}
URL: http://people.redhat.com/yshao
BuildRequires: fontconfig
BuildRequires: imlib-devel >= 1.9.13-9
Buildroot: %{_tmppath}/%{name}-%{version}-root
Patch1:minichinput-shift-f3.patch
Patch2:miniChinput-0.0.3-compile.patch
Patch3:miniChinput-0.0.3-memleak.patch
Patch4:miniChinput-utf8.patch
Patch5:miniChinput-xim.patch
Patch6:miniChinput-DEF.patch
Patch7:miniChinput-fedora.patch
Patch8:miniChinput-0.0.3-DEF-IC.patch
Patch9:miniChinput-0.0.3-gcc34.patch
Patch10:miniChinput-0.0.3-SHP.patch
Patch11:miniChinput-0.0.3-setbuf.patch
Patch12:miniChinput-0.0.3-bigendian.patch

%description
MiniChinput is a tiny version of Chinput, a GPLed Chinese XIM server.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1


%build
./configure --prefix=/usr
make
make data

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT/usr install
make prefix=$RPM_BUILD_ROOT/usr data-install

install -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/X11/xinit/xinput.d/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
alternatives --install %{_sysconfdir}/X11/xinit/xinput.d/zh_CN xinput-zh_CN %{_sysconfdir}/X11/xinit/xinput.d/%{name} 30

%preun
if [ "$1" = 0 ]; then
   alternatives --remove xinput-zh_CN %{_sysconfdir}/X11/xinit/xinput.d/%{name}
fi

%files
%defattr(-, root, root)
/usr/bin/chinput
/usr/lib/Chinput
%{_sysconfdir}/X11/xinit/xinput.d
%doc doc

%changelog
* Tue May 09 2006 Qingyu wang <qwang@redhat.com> 64
- Rebuild for errata

* Mon Oct 31 2005 Qingyu Wang <qwang@redhat.com> 62
- added a patch miniChinput-0.0.3-bigendian.patch to fix bug 167918

* Wed Oct 19 2005 Qingyu Wang <qwang@redhat.com> 61
- added a patch miniChinput-0.0.3-SHP.patch to fix bug 169767
- added a patch miniChinput-0.0.3-setbuf.patch to fix bug 162937

* Tue Jul 06 2004 Leon Ho <llch@redhat.com>
- added a simple patch for gcc34 compiler
- added support for xinitrc-4.0.1
  - run alternativates on post and preun
  - included xinput-miniChinput

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon May 17 2004 Yu Shao <yshao@redhat.com>
- patch miniChinput-0.0.3-DEF-IC.patch to fix bug 106807

* Tue Mar  3 2004 Mike A. Harris <mharris@redhat.com> 0.0.3-55
- Removed BuildRequires: XFree86, because that should not be hard coded. If
  there is a dependancy on something in the XFree86 package, please let
  mharris know what it is and we can discuss a better dependancy that is not
  tied to XFree86 directly
- Changed Copyright to License in spec file
- Changed BuildRoot to use _tmppath
- Removed Excludearch alpha
- Other minor cleanups to spec file I noticed while fixing the above

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Oct 28 2003 Yu Shao <yshao@redhat.com> 53
- update Chinput.ad for Fedora

* Tue Oct 21 2003 Yu Shao <yshao@redhat.com> 52
- Bug 106807, use Dynamic Event Flow model, XIM updates.

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Apr 15 2003 Yu Shao <yshao@redhat.com> 50
- apply utf8 patch

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jan 13 2003 Yu Shao <yshao@redhat.com> 35, 36
- Added memory leak patch from James Su, i18n@xfree86.org
- Added doc to binary RPM

* Thu Jan 7 2003 Yu Shao <yshao@redhat.com> 34
- fixing dependency problem #80964

* Mon Dec 2 2002 Yu Shao <yshao@redhat.com> 32
- /usr/lib/Chinput ownership fix #73957
- minichinput-0.0.3-compile.patch

* Thu Nov 14 2002 Yu Shao <yshao@redhat.com>
- CVS build

* Fri Oct 4 2002 Yu Shao <yshao@redhat.com>
- IA64 build bug fix

* Fri Sep 13 2002 Yu Shao <yshao@redhat.com>
- add hotkey Shift-F3 to switch input style,
- to avoid the conflict with GNOME's Alt-Space

* Wed Aug 28 2002 Yu Shao <yshao@redhat.com>
- rebuilt and cleanup

* Tue Aug 13 2002 Havoc Pennington <hp@redhat.com>
- rebuilt with new imlib

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Tue Jul 23 2002 Tim Powers <timp@redhat.com>
- build using gcc-3.2-0.1

* Mon  Jul 8 2002 Yu Shao <yshao@redhat.com>
- make big5 locale work

* Mon  Jul 8 2002 Yu Shao <yshao@redhat.com>
- xft port enhancement, buildrequires

* Mon  Jun 3 2002 Yu Shao <yshao@redhat.com>
- xft porting

* Tue  May 28 2002 Yu Shao <yshao@redhat.com>
- fix gcc3 compiling errors

* Fri  May 10 2002 Yu Shao <yshao@redhat.com>
- fix bugzilla #64688

* Wed  Apr 03 2002 Yu Shao <yshao@redhat.com>
- use zhongyi font in Chinput.ad

* Thu  Mar  14 2002 Yu Shao <yshao@redhat.com>
- recheck license

* Wed  Feb  20 2002 Yu Shao <yshao@redhat.com>
- update miniChinput-0.0.3-iconv.patch

* Thu  Feb  14 2002 Yu Shao <yshao@redhat.com>
- add locale patch to make it more locale robust

* Thu  Jan  31 2002 Yu Shao <yshao@redhat.com>
- add filter to filter unassigned unicode codepoints

* Fri  Jan  26 2002 Yu Shao <yshao@redhat.com>
- New gcc and ia64 patch

* Wed  Dec  5 2001 Yu Shao <yshao@redhat.com>
- Fix no big5 font problem

* Fri  Nov  9 2001 Yu Shao <yshao@redhat.com>
- Add gb18030 stuff and internal code input module

* Fri  Nov  9 2001 Yu Shao <yshao@redhat.com>
- Update to 0.0.3 

* Tue Jul 17 2001 Yukihiro Nakai <ynakai@redhat.com>
- Update to 0.0.2 to fix tab2txt bugs.

* Sun Jul  8 2001 Yukihiro Nakai <ynakai@redhat.com>
- Add ia64 fix

* Tue Jul  3 2001 Yukihiro Nakai <ynakai@redhat.com>
- Exclude ia64 and alpha

* Wed Jun 27 2001 Yukihiro Nakai <ynakai@redhat.com>
- Initial release.
